# Get-RASAgent.md

## NAME

Get-RASAgent

## SYNOPSIS

Retrieves RAS Agent information by server type or server name.

## SYNTAX

**Get-RASAgent** \[[Server](#server-string)] *(string)* \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASAgent** \[\[-[ServerType](#ServerType)] {RDSHost | RDS | Provider | Gateway | Guest | VDITemplate | RDSTemplate | AVDTemplate | VDITemplateVersion | AVDTemplateVersion | RDSTemplateVersion | Broker | PA | Site | VDIHostPool | RDSHostPool | RDSGroup | HALBDevice | HALB | Enrollment | TenantBroker | VDIHost | AVDHost | AVDHostPool | AVDWorkspace | All}] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the information about RAS Agent(s) installed on a specific server or on servers of a specific type, such as.

Connection Broker, RD Session Host, RAS Secure Gateway, Provider, VDI Desktop, VDI Template.

## PARAMETERS

## Server (string)

The name of server from which to retrieve Agent information.

This must be the actual server name used in the RAS farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the specified Agent information.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ServerType ([RASServerType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasservertype.md))

Specifies the server type for which to retrieve the information.

Possible values: RDSHost, RDS, Provider, Gateway, Guest, VDITemplate, RDSTemplate, AVDTemplate, VDITemplateVersion, AVDTemplateVersion, RDSTemplateVersion, Broker, PA, Site, VDIHostPool, RDSHostPool, RDSGroup, HALBDevice, HALB, Enrollment, TenantBroker, VDIHost, AVDHost, AVDHostPool, AVDWorkspace, All

```
        Required?                    false

        Position?                    0

        Default value                All

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[AVDHostPoolStatus](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdhostpoolstatus.md)

[AVDWorkspaceStatus](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdworkspacestatus.md)

[AVDHostSysInfo](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdhostsysinfo.md)

[BrokerSysInfo](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/brokersysinfo.md)

[GatewaySysInfo](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/gatewaysysinfo.md)

[GuestAgentInfo](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/guestagentinfo.md)

[HALBDeviceStatus](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/halbdevicestatus.md)

[HALBVirtualServerStatus](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/halbvirtualserverstatus.md)

[ProviderSysInfo](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/providersysinfo.md)

[RDSHostPoolStatus](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshostpoolstatus.md)

[RDSHostSysInfo](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshostsysinfo.md)

[SiteSysInfo](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/sitesysinfo.md)

[TemplateStatus](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/templatestatus.md)

[VDIHostPoolStatus](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vdihostpoolstatus.md)

[VDIHostSysInfo](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vdihostsysinfo.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASAgent -Server MyRASserver

Retrieves the information about Agent(s) installed on the server named 'MyRASserver'.\
\*\*---------- EXAMPLE 2 ----------

Get-RASAgent

Retrieves the information about all Agents from all servers in the farm.\
\*\*---------- EXAMPLE 3 ----------

Get-RASAgent -ServerType RDS

Retrieves the information about the Agents installed on all RD Sessions Host servers in the farm.\
\*\*---------- EXAMPLE 4 ----------

Get-RASAgent -SiteId 3 -ServerType RDS

Retrieves the information about the Agents installed on all RD Sessions Host servers in the farm of a specific site.\
\*\*---------- EXAMPLE 5 ----------

Get-RASAgent -SiteId 3 -Server MyRASserver

Retrieves the information about Agent(s) installed on the server named 'MyRASserver' from a specific site.

## RELATED LINKS

* [Get-RASAgentDiagnostic](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasagentdiagnostic.md)
* [Update-RASAgent](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/update-rasagent.md)
* [Remove-RASAgent](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasagent.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasagent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
